// index.js
Page({

  data:{
    userInfo:null,
    wantLogin:0,
    wantPay:0,
    buttonTop:50,
    screenType:'portrait',
    fullsecreen:false,
  },

  onLoad:function(){
    var buttonArea = wx.getMenuButtonBoundingClientRect();

    var systemSetting = wx.getSystemSetting();
    var screenType = systemSetting.deviceOrientation;
    this.setData({buttonTop:buttonArea.top,screenType:screenType});


  },

  event1:function(){
    this.setData({wantLogin:1,fullsecreen:false});
  },

  event3:function(){
    this.setData({wantLogin:1,fullsecreen:true});
  },

  event2:function(){
    this.setData({wantPay:1});
  },

  onCancel:function(){
    wx.showToast({
      title: '取消登录',
      icon:'error',
    })
    this.setData({wantLogin:0});
  },

  //登录成功回调
  onLogin:function(data){
    console.log("login sucess");
    wx.showToast({
      title: '登录成功',
      icon:'success',
    })
    var returnObject = data.detail;
    console.log(returnObject);
    if(returnObject.status){
      this.setData({userInfo:returnObject.data});
    }
    this.setData({wantLogin:0});

    //游戏应将token和uid发往游戏服务器 游戏服务器调用SDK服务器验证接口 确保uid token通过验证未被篡改
    var uid = returnObject.data.uid;
    var token = returnObject.data.token;

  },

  //注销通知
  onLogout:function(){
    wx.showModal({
      title:'注销通知',
      content:'接收到SDK发出的注销回调',
    })
    this.setData({userInfo:null});
  },

  onPayCancel:function(){
    console.log('接受取消支付回调');
    this.setData({wantPay:0});
  },

  onPaySuccess:function(e){
    console.log('接受成功支付回调');
    this.setData({wantPay:0});
    var returnObject = e.detail;
    console.log(returnObject);
    wx.showModal({
      title:'支付成功回调',
      content:'接收到SDK支付成功通知，订单号:' + returnObject.data.orderNo + ' 订单金额：' + returnObject.data.orderAmount + ' 折后支付金额:'+ returnObject.data.payAmount,
    })
  },

})
